Subject: [storm] Storm WG draft status summary: December 15

From: <[email-masked]>
Date: Thu, 15 Dec 2011 11:34:58 -0500

The proverbial "quiet before the storm" ;-) has ended - there have been several new draft versions submitted this week, and more is about to happen.  Here's my summary of the status and next steps for all seven of the storm WG's drafts:

(1) draft-ietf-storm-iscsi-cons-04: The -04 version of the consolidated iSCSI draft needs one minor edit to the definition of the I_T nexus identifier (to match the new features [-sam-] draft) before submission to the IESG for publication as a Standards Track RFC.  An RFC Editor Note will be used to make this edit, and I will post that note to the list shortly.

(2) draft-ietf-storm-iscsi-sam-05: The -05 version of the new features (-sam-) draft should be ready for submission to the IESG for publication as a Standards Track RFC.  This draft and the consolidated iSCSI draft normatively reference each other, so they will be submitted as a pair; the submission should happen by the end of next week - the delay is that yours truly as the document shepherd is required to affirm that I have read both drafts in their entirety.

(3) draft-ietf-storm-iscsimib-01: Now that the final versions of the above two drafts are available, WG Last Call on this revised iSCSI MIB draft will start shortly.  Courtesy of the upcoming holidays, WG LC will be longer than usual - it'll run about a month (well into January).

(4) draft-ietf-storm-iser-07: Working Group Last Call on the iSER draft has completed, and we need to get Hemal Shah's comments resolved on the storm mailing list (Hemal - please reply to the recent emails from both Mike Ko and myself).  Once those comments are resolved, there will be a -08 version of this draft that will be submitted to the IESG for publication as a Standards Track RFC.  That submission will probably occur in January, and will result in iSER catching up to the two iSCSI drafts and the three moving through the approval process in tandem.

(5) draft-ietf-storm-mpa-peer-connect-09: The -09 version of the MPA Peer Connect draft should be the final version that will be approved by the IESG.  This draft got held up at the IESG primarily by the need for the RDDP registries (next draft).  Our AD found a few more concerns in looking at the IESG review comments, and those concerns should be addressed by the -09 version of this draft.  IESG approval will not occur until the RDDP registries draft reaches the IESG; January is a likely timeframe for that approval.

(6) draft-ietf-storm-rddp-registries-00: IETF Last Call ends next Monday (Dec 19).  While I haven't seen any Last Call comments yet, I expect a number of the IETF directorates and IANA to weigh in with comments before the end of IETF Last Call.  The likely outcome is that a -01 version will be needed (someone always finds something to fix ...); I will try to turn out a revision quickly so that the IESG can consider this draft for approval in January.

(7) draft-ietf-storm-rdmap-ext-01: As discussed earlier on this list, a revised version of this draft is needed to add IANA considerations.  This draft will need WG discussion before Working Group Last Call - WG LC is currently anticipated in February.

Please let me know if there are any questions.

FYI,
--David (storm WG co-chair)
----------------------------------------------------
David L. Black, Distinguished Engineer
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------